## toshset 1.76

=== debian/changelog ===
toshset (1.76-4) unstable; urgency=low

  * QA upload.
  * Fix build failure with GCC 4.7. Closes: #672026.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 08:28:58 +0000

toshset (1.76-3) unstable; urgency=low

  * QA upload
  * debian/rules: build-stamp, not build, must depend on configure-stamp
    (closes: #666347).

 -- Ralf Treinen <treinen@debian.org>  Thu, 05 Apr 2012 22:32:04 +0200

toshset (1.76-2) unstable; urgency=low

  * QA upload.
  * Update 08_novatel_3g_suspend.patch: allow suspend / hibernate if
    device doesn't exist, otherwise system may not suspend properly.
    Thanks Brian Murray for the patch (Closes: #633555).
  * Bump Standards-Version to 3.9.2.

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Sun, 11 Dec 2011 18:28:25 +0100

toshset (1.76-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #614375)
    + Patch in the novatel_3g_suspend script, which was omitted by upstream
  * Bump to Standards-Version 3.9.1 (no changes needed)
  * Remove Vcs-* fields from debian/control since package is orphaned
  * Do not compress .c source files (Closes: #580860)
  * Specify Debian source format as '3.0 (quilt)'

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 13 Mar 2011 22:08:49 -0400

toshset (1.75-2) unstable; urgency=low

  * [b3110f4] Orphaning package
  * [10b9dcc] Bump to Standards-Version 3.8.3 (no changes needed)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 23 Jan 2010 10:47:07 +0100

toshset (1.75-1) unstable; urgency=low

  * [d1ba896] Imported Upstream version 1.75
  * [136f89a] Updated to standards version 3.8.1 (No changes needed).
  * [8076305] Refreshed 04_toshset_man_page.patch.
  * [a9a727a] Remove /etc/modprobe.d/toshset on upgrade only if
    unmodified.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 16 Jun 2009 15:45:17 +0200

toshset (1.74-3) unstable; urgency=low

  * [f2d1948] Document quilt usage in README.source
  * [a0d6cf2] Do not install /etc/modprobe.d/toshset, the new standard
    /etc/modprobe.d/aliases file already contain the alias needed.
    (Closes: #518243)
  * [27bcd14] debian/control: Added ${misc:Depends} in Depends
  * [b504404] debian/toshset.preinst: Remove /etc/modprobe.d/toshset

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Thu, 05 Mar 2009 11:22:24 +0100

toshset (1.74-2) unstable; urgency=low

  * [898b969] debian/patches/06_fix_FTBFS_with_gcc4.4.patch: Adding a
    missing include and fix FTBFS with gcc-4.4. Thanks Martin Michlmayr.
    (Closes: #505345)
  * [482e141] debian/control: Clarify that toshset needs an experimental
    version of the toshiba_acpi kernel module (Closes: #487154)
  * [4f496cc] Provide /etc/modprobe.d/toshset to register toshiba kernel
    module
  * [aa29466] Added in the doc directory source and a script to install the
    experimental toshiba_acpi kernel module.
  * [bf88b61] debian/README.Debian: Updated
  * [39d2e0f] Clarify in README.Debian and debian/control that Ubuntu
    users don't need the experimental driver.
  * [75cbe9e] debian/copyright: Updated

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 27 Feb 2009 15:37:19 +0100

toshset (1.74-1) unstable; urgency=low

  * [855cd19] New Upstream Version
  * [0b495dd] Switch to quilt
  * [ac18676] debian/control: Added DM-Upload-Allowed control field
  * [6272f8e] debian/control: Added VCS control field
  * [968a09d] Bump to debhelper 7 compatibility levels
  * [740010a] debian/rules: dh_clean -k is deprecated, use dh_prep and
    fix dh-clean-k-is-deprecated lintian warning
  * [93002a8] Updated debian/copyright and fixed copyright-refers-to-
    versionless-license-file lintian warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 15 Feb 2009 18:12:28 +0100

toshset (1.73-3) unstable; urgency=low

  * New maintainer, thanks to Roberto C. Sanchez for the prior work on toshset
    (closes: #403683)
  * Updated to standards version 3.8.0
  * Added a commented watch file (toshet upstream uses a distribution
    mechanism that cannot be meaningfully monitored)
  * Fixed dpatch-missing-description lintian warning for 01_honor_CXX.dpatch
  * debian/patches/04_toshset_man_page.dpatch: Fixed
    manpage-has-errors-from-man lintian warning (Removed pointless .hr)
  * debian/patches/03_toshsat1800-irdasetup.dpatch: Include stdlib.h and
    string.h to fix compiler warnings.
  * debian/rules: Do not use .bak, simply remove configure config.sub
    config.log confdefs.h in clean target

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 21 Oct 2008 18:32:46 +0200

toshset (1.73-2) unstable; urgency=low

  * QA upload.
  * Change to build with libpci-dev, fixes FTBFS (Closes: #478391)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 29 Apr 2008 01:43:10 -0400

toshset (1.73-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Add amd64 to list of available architectures.

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 21 Mar 2008 22:31:06 -0400

toshset (1.72-7) unstable; urgency=low

  * QA upload.
  * Update to Standards-Version 3.7.3 (no changes required)
  * Update to debhelper compatibility level 5 (no changes required)
  * Fix bashism in debian/rules (Closes: #452086)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 21 Jan 2008 14:59:37 -0500

toshset (1.72-6) unstable; urgency=low

  * QA upload.
  * debian/rules: Honor nostrip option (Closes: #438215)
  * debian/rules: Change call to '$(MAKE) distclean' to satisfy lintian

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 17 Sep 2007 19:03:26 -0400

toshset (1.72-5) unstable; urgency=high

  * QA upload.
  * Fix FTBFS (Closes: #433283):
     - Remove linux-kernel-headers from the Build-Depends, now replaced by
       linux-libc-dev, which is pulled by libc6-dev.
     - Replace the ``asm/io.h'' include by an ``sys/io.h'' include in the
       following patch: 03_toshsat1800-irdasetup.dpatch
  * Urgency set to `high' accordingly.


