=== debian/control ===
Source: toshset
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), autoconf, quilt (>= 0.40), libpci-dev, autotools-dev, zlib1g-dev
Homepage: http://www.schwieters.org/toshset/

Package: toshset
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Access much of the Toshiba laptop hardware interface
 Toshset is a command-line tool to allow access to much of the
 Toshiba laptop hardware interface developed by Jonathan Buzzard. It can do
 things like set the hard drive spin-down time, turn off the display
 and set the fan speed without the help of the kernel.
 Toshset requires an experimental version of the toshiba_acpi kernel module
 with an ACPI-enabled kernel. Otherwise it works only if the laptop supports
 the old APM BIOS. (The last of these was produced something like 5 years ago)
 Please read README.Debian how to install the experimental version of the 
 toshiba_acpi kernel module. (Ubuntu users don't need it)
 .
 This package also includes the Toshsat1800-irdasetup by Daniele Peri.  It
 can be used to configure IrDA for laptops with ALI1533 bridge (LPC47N227
 SuperIO), smc-ircc and not initializing BIOS (tested on Toshiba Satellite
 1800-514).  Homepage: http://www.csai.unipa.it/peri/toshsat1800-irdasetup/
