=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	NOOPT=1
else
	NOOPT=0
endif

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	cp -a /usr/share/misc/config.sub .
	autoconf
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info
	if [ "$(NOOPT)" = "1" ]; then \
		cat Makefile | sed -e s/"-O2"/"-O0"/ > out && \
			mv out Makefile; \
	fi
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	cd toshsat1800-irdasetup-0.2; $(MAKE)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf toshsat1800-irdasetup-0.2/
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean
	rm -f configure config.sub config.log confdefs.h

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/toshset
	# generate a supported-models.txt
	echo "  ID      Model                                        " > \
	$(CURDIR)/debian/toshset/usr/share/doc/toshset/supported-models.txt
	echo "-------------------------------------------------------" >> \
	$(CURDIR)/debian/toshset/usr/share/doc/toshset/supported-models.txt
	cat toshibaIDs.cc | grep {0 | sed -e s/{// -e s/,\"// \
		-e s/\"},// | sed -e s/"0       \" }"// >> \
	$(CURDIR)/debian/toshset/usr/share/doc/toshset/supported-models.txt
	install -m 755 toshsat1800-irdasetup-0.2/toshsat1800-irdasetup debian/toshset/usr/sbin/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README README.video debian/toshiba-acpi
	cp toshsat1800-irdasetup-0.2/README debian/toshset/usr/share/doc/toshset/README.IrDA
	dh_installman debian/toshsat1800-irdasetup.1
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress -X.c
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
