=== debian/watch ===
# toshet upstream uses a distribution mechanism that cannot be meaningfully monitored by
# uscan and the Debian External Health Status project.
# Latest version is always: http://www.schwieters.org/toshset/toshset.tgz
